ELETTRA = 1
HDBMYSQL = 0
HDB++MYSQL = 1
HDB++CASSANDRA = 0
LIB_DEBUG = 0

ifeq ($(LIB_DEBUG),1)
  CXXFLAGS += -ggdb3
endif

ifeq ($(ELETTRA),1)
  CXXFLAGS += -std=gnu++98 -D_USE_FERMI_DB_RW
else
  CXXFLAGS += -std=gnu++0x
endif

ifeq ($(HDB++MYSQL),1)
  LIBHDBIMPL_LIB = ../../libhdb++mysql/trunk/lib
  LIBHDBIMPL = hdb++mysql
endif
ifeq ($(HDBMYSQL),1)
  LIBHDBIMPL_LIB = ../../libhdbmysql/trunk/lib
  LIBHDBIMPL = hdbmysql
endif
ifeq ($(HDB++CASSANDRA),1)
  LIBHDBIMPL_LIB = ../../libhdb++cassandra/trunk/lib
  LIBHDBIMPL = hdb++cassandra
endif

LIBHDB_INC = ../../libhdb++/trunk/src
LIBHDB_LIB = ../../libhdb++/trunk/lib

ifneq ($(HDB++CASSANDRA),1)
DBIMPL_INC = `mysql_config --include`
DBIMPL_LIB = `mysql_config --libs_r`
else
DBIMPL_INC = ../../cassandra/cppDriver/cpp-driver/include
DBIMPL_LIB = -L../../cassandra/cppDriver/cpp-driver/lib/libuv/lib \
             -L../../cassandra/cppDriver/cpp-driver \
             -lcassandra -luv
endif
#SQLIMPL = mysqlclient



OMNI_INC = /usr/include/omniORB4
TANGO_INC = /usr/include/tango

